# Uses of Enum
com.databricks.jdbc.model.client.thrift.generated.TJobExecutionStatus

Packages that use TJobExecutionStatus
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TJobExecutionStatus in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TJobExecutionStatus in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`enum`
`TJobExecutionStatus`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TJobExecutionStatus
Modifier and Type
Field
Description
`TJobExecutionStatus`
TProgressUpdateResp.`status`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TJobExecutionStatus
Modifier and Type
Method
Description
`static TJobExecutionStatus`
TJobExecutionStatus.`findByValue(int value)`
Find a the enum type by its integer value, as defined in the Thrift IDL.
`TJobExecutionStatus`
TProgressUpdateResp.`getStatus()`
`static TJobExecutionStatus`
TJobExecutionStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TJobExecutionStatus[]`
TJobExecutionStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TJobExecutionStatus
Modifier and Type
Method
Description
`TProgressUpdateResp`
TProgressUpdateResp.`setStatus(TJobExecutionStatus status)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TJobExecutionStatus
Modifier
Constructor
Description
``
`TProgressUpdateResp(List<String> headerNames, List<List<String>> rows, double progressedPercentage, TJobExecutionStatus status, String footerSummary, long startTime)`